Categories:
  - System
License: AGPL-3.0-only
AuthorName: jd1378
SourceCode: https://github.com/jd1378/otphelper
IssueTracker: https://github.com/jd1378/otphelper/issues
Changelog: https://github.com/jd1378/otphelper/releases

AutoName: Copy SMS Code

RepoType: git
Repo: https://github.com/jd1378/otphelper.git
Binaries: https://github.com/jd1378/otphelper/releases/download/v%v/otp-helper--release-%v--universal-%c-signed.apk

Builds:
  - versionName: 1.0.0
    versionCode: 1000
    commit: fafb68494d23c1cd8b2fe3aa667ab42a613fe141
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 3000
    commit: 7a3f8b2b56bcb6882bbfbce391999226ce2b9320
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 4000
    commit: ec527ae6de1a62cb0874788309c4f82e82c0c96e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.4.0
    versionCode: 5000
    commit: c93dda2937832333fd48068b313db4b5d84026ce
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AllowedAPKSigningKeys: 832d24302aea8812205217aea781eb5a28435d8ad3bece92b4c6940b1ee6a4db

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
VercodeOperation:
  - 1000 * %c
CurrentVersion: 1.4.0
CurrentVersionCode: 5000
